> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file processing status

> Read the processing state of one File version.

**Operation ID:** `http.files.processing`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/processing
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/processing
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/processing:
    get:
      tags:
        - Files
      summary: Get file processing status
      description: >-
        Read the processing state of one File version.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.files.processing
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: file
          in: path
          required: true
          schema:
            type: string
        - name: version
          in: path
          required: true
          schema:
            type: string
        - name: include_deleted
          in: query
          required: false
          description: true to read a deleted version. Defaults to false.
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_files_processing_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_files_processing_response:
      type: object
      properties:
        data:
          type: object
          properties:
            file_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
            version_id:
              type: string
              format: uuid
              pattern: >-
                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
            version_number:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            current_version_id:
              anyOf:
                - type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
                - type: 'null'
            is_current:
              type: boolean
            lifecycle_generation:
              type: string
              pattern: ^\d+$
            status:
              type: string
              enum:
                - processing
                - ready
                - failed
            lexical_status:
              type: string
              enum:
                - pending
                - ready
                - not_applicable
                - failed
            semantic_status:
              type: string
              enum:
                - pending
                - ready
                - failed
                - not_requested
                - not_applicable
            chunk_count:
              anyOf:
                - type: integer
                  minimum: 0
                  maximum: 9007199254740991
                - type: 'null'
            content_operation:
              anyOf:
                - type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
                    kind:
                      type: string
                      enum:
                        - seal_upload
                        - ingest_file
                        - create_version
                        - reprocess_version
                        - embed_version
                        - generate_synopsis
                        - purge_file
                    status:
                      type: string
                      enum:
                        - queued
                        - running
                        - succeeded
                        - succeeded_with_warnings
                        - failed
                        - cancelled
                    stage:
                      type: string
                    attempt_count:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    error_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    error_retryable:
                      anyOf:
                        - type: boolean
                        - type: 'null'
                    warnings:
                      type: array
                      items:
                        type: object
                        properties:
                          code:
                            type: string
                          detail:
                            type: string
                        required:
                          - code
                          - detail
                        additionalProperties: false
                  required:
                    - id
                    - kind
                    - status
                    - stage
                    - attempt_count
                    - error_code
                    - error_retryable
                    - warnings
                  additionalProperties: false
                - type: 'null'
            embedding_operation:
              anyOf:
                - type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
                    kind:
                      type: string
                      enum:
                        - seal_upload
                        - ingest_file
                        - create_version
                        - reprocess_version
                        - embed_version
                        - generate_synopsis
                        - purge_file
                    status:
                      type: string
                      enum:
                        - queued
                        - running
                        - succeeded
                        - succeeded_with_warnings
                        - failed
                        - cancelled
                    stage:
                      type: string
                    attempt_count:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    error_code:
                      anyOf:
                        - type: string
                        - type: 'null'
                    error_retryable:
                      anyOf:
                        - type: boolean
                        - type: 'null'
                    warnings:
                      type: array
                      items:
                        type: object
                        properties:
                          code:
                            type: string
                          detail:
                            type: string
                        required:
                          - code
                          - detail
                        additionalProperties: false
                  required:
                    - id
                    - kind
                    - status
                    - stage
                    - attempt_count
                    - error_code
                    - error_retryable
                    - warnings
                  additionalProperties: false
                - type: 'null'
            schema:
              type: string
              const: files-version-processing-state-v1
            file_lifecycle:
              type: string
              enum:
                - live
                - deleted
                - purged
            embedding_profile:
              type: object
              properties:
                embedding_revision:
                  anyOf:
                    - type: string
                    - type: 'null'
                embedding_provider:
                  anyOf:
                    - type: string
                    - type: 'null'
                embedding_model:
                  anyOf:
                    - type: string
                    - type: 'null'
                embedding_dimensions:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    - type: 'null'
                embedding_input_revision:
                  type: string
                tokenizer_revision:
                  type: string
              required:
                - embedding_revision
                - embedding_provider
                - embedding_model
                - embedding_dimensions
                - embedding_input_revision
                - tokenizer_revision
              additionalProperties: false
            search_eligible:
              type: boolean
          required:
            - file_id
            - version_id
            - version_number
            - current_version_id
            - is_current
            - lifecycle_generation
            - status
            - lexical_status
            - semantic_status
            - chunk_count
            - content_operation
            - embedding_operation
            - schema
            - file_lifecycle
            - embedding_profile
            - search_eligible
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.